# List holidays

Retrieves a paginated list of holidays.

Endpoint: GET /holidays
Version: v1
Security: AuthToken

## Query parameters:

  - `per_page` (integer)
    The number of items to return per page.
    Defaults to 20. Can't exceed 1,000.
    Example: 50

  - `page` (integer)
    The page number to retrieve.
Defaults to 1, which is the first page.
    Example: 2

## Response 200 fields (application/json):

  - `paging` (object, required)

  - `paging.per_page` (integer)
    The maximum number of items to show per response page.
    Example: 100

  - `paging.page` (integer)
    The current response page number.
    Example: 1

  - `paging.previous` (string,null)
    If you're on the first page, this value is null; otherwise the value is the path and query parameters to get the previous page of items.
    Example: "/api/v1/users?per_page=1000&page=1"

  - `paging.self` (string)
    The path and query parameters to get the current page of items.
    Example: "/api/v1/users?per_page=1000&page=2"

  - `paging.next` (string,null)
    If there are more items, this value is the path and query parameters to get the next page of items; otherwise, it's null.
    Example: "/api/v1/users?per_page=1000&page=3"

  - `paging.count` (integer,null)
    The total number of items in all the pages.

  - `data` (array, required)

  - `data.id` (integer, required)
    Unique identifier for the holiday.
    Example: 83019

  - `data.date` (string, required)
    The date of the holiday.
    Example: "2022-05-30"

  - `data.name` (string, required)
    The name of the holiday.
    Example: "Memorial day"

  - `data.created_at` (string, required)
    The timestamp when the holiday record was created.
    Example: "2022-03-23T16:58:29Z"

  - `data.updated_at` (string, required)
    The timestamp when the holiday record was last updated.
    Example: "2022-03-23T16:58:29Z"


